Beefy Boxes and Bandwidth Generously Provided by pair Networks
The stupid question is the question not asked
 
PerlMonks  

PAR::Packer Installation; Prototype mismatch; libperl.so: File format not recognized; ActivePerl-5.14.2.1402-x86_64-linux

by Gary Yang (Acolyte)
on Dec 03, 2011 at 08:13 UTC ( #941512=perlquestion: print w/replies, xml ) Need Help??
Gary Yang has asked for the wisdom of the Perl Monks concerning the following question:

I downloaded PAR-Packer-1.012.tar.gz. I got errors below when I install it.

Prototype mismatch: sub main::prompt: none vs ($;$) at /opt/ActivePerl-5.14/site/lib/ExtUtils/MakeMaker.pm line 219 objdump: /opt/ActivePerl-5.14/lib/CORE/libperl.so: File format not recognized

Here is the detailed info:

/tmp/PAR-Packer-1.012> perl Makefile.PL
Checking if your kit is complete...
Looks good
Prototype mismatch: sub main::prompt: none vs ($;$) at /opt/ActivePerl-5.14/site/lib/ExtUtils/MakeMaker.pm line 219 objdump: /opt/ActivePerl-5.14/lib/CORE/libperl.so: File format not recognized
Writing Makefile for par
Writing MYMETA.yml and MYMETA.json
Writing Makefile for PAR::Packer
Writing MYMETA.yml and MYMETA.json

I downloaded ActivePerl-5.14.2.1402-x86_64-linux-glibc-2.3.5-295342.tar.gz. Per installation instruction, I installed it with the command, "sh install.sh". I took all the default options. This is binary installation.
I have no idea why got this error when I install PAR-Packer-1.012.tar.gz. Can someone please help?

The ExtUtils::MakeMaker version is 6.62
cpan> install ExtUtils::MakeMaker
ExtUtils::MakeMaker is up to date (6.62).

perl -V Summary of my perl5 (revision 5 version 14 subversion 2) configuration +: Platform: osname=linux, osvers=2.6.11-1.1369_fc4, archname=x86_64-linux-thre +ad-multi uname='linux perl-linux64-vm 2.6.11-1.1369_fc4 #1 thu jun 2 22:56: +33 edt 2005 x86_64 x86_64 x86_64 gnulinux ' config_args='-ders -Dcc=gcc -Dusethreads -Duseithreads -Uinstallus +rbinperl -Ulocincpth= -Uloclibpth= -Duse64bitall -Dlibpth=/lib64 /usr +/lib64 /usr/local/lib64 -Accflags=-DUSE_SITECUSTOMIZE -Duselargefiles + -Accflags=-DPERL_RELOCATABLE_INCPUSH -Accflags=-fno-merge-constants +-Dprefix=/opt/ActivePerl-5.14 -Dprivlib=/opt/ActivePerl-5.14/lib -Dar +chlib=/opt/ActivePerl-5.14/lib -Dsiteprefix=/opt/ActivePerl-5.14/site + -Dsitelib=/opt/ActivePerl-5.14/site/lib -Dsitearch=/opt/ActivePerl-5 +.14/site/lib -Dsed=/bin/sed -Duseshrplib -Dcf_by=ActiveState -Dcf_ema +il=support@ActiveState.com' hint=recommended, useposix=true, d_sigaction=define useithreads=define, usemultiplicity=define useperlio=define, d_sfio=undef, uselargefiles=define, usesocks=und +ef use64bitint=define, use64bitall=define, uselongdouble=undef usemymalloc=n, bincompat5005=undef Compiler: cc='gcc', ccflags ='-D_REENTRANT -D_GNU_SOURCE -DUSE_SITECUSTOMIZE + -DPERL_RELOCATABLE_INCPUSH -fno-merge-constants -fno-strict-aliasing + -pipe -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64', optimize='-O2', cppflags='-D_REENTRANT -D_GNU_SOURCE -DUSE_SITECUSTOMIZE -DPERL_RE +LOCATABLE_INCPUSH -fno-merge-constants -fno-strict-aliasing -pipe' ccversion='', gccversion='4.0.0 20050519 (Red Hat 4.0.0-8)', gccos +andvers='' intsize=4, longsize=8, ptrsize=8, doublesize=8, byteorder=12345678 d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=1 +6 ivtype='long', ivsize=8, nvtype='double', nvsize=8, Off_t='off_t', + lseeksize=8 alignbytes=8, prototype=define Linker and Libraries: ld='gcc', ldflags ='' libpth=/lib64 /usr/lib64 /usr/local/lib64 libs=-lnsl -lgdbm -ldb -ldl -lm -lcrypt -lutil -lpthread -lc perllibs=-lnsl -ldl -lm -lcrypt -lutil -lpthread -lc libc=/lib/libc-2.3.5.so, so=so, useshrplib=true, libperl=libperl.s +o gnulibc_version='2.3.5' Dynamic Linking: dlsrc=dl_dlopen.xs, dlext=so, d_dlsymun=undef, ccdlflags='-Wl,-E - +Wl,-rpath,/opt/ActivePerl-5.14/lib/CORE' cccdlflags='-fPIC', lddlflags='-shared -O2' Characteristics of this binary (from libperl): Compile-time options: MULTIPLICITY PERL_DONT_CREATE_GVSV PERL_IMPLICIT_CONTEXT PERL_MALLOC_WRAP PERL_PRESERVE_IVUV USE_64_BIT_ALL USE_64_BIT_I +NT USE_ITHREADS USE_LARGE_FILES USE_PERLIO USE_PE +RL_ATOF USE_REENTRANT_API USE_SITECUSTOMIZE Locally applied patches: ActivePerl Build 1402 [295342] Built under linux Compiled at Oct 9 2011 15:47:00 @INC: /opt/ActivePerl-5.14/site/lib /opt/ActivePerl-5.14/lib

  • Comment on PAR::Packer Installation; Prototype mismatch; libperl.so: File format not recognized; ActivePerl-5.14.2.1402-x86_64-linux
  • Download Code

Replies are listed 'Best First'.
Re: PAR::Packer Installation; Prototype mismatch; libperl.so: File format not recognized; ActivePerl-5.14.2.1402-x86_64-linux
by Plankton (Vicar) on Dec 03, 2011 at 08:44 UTC
    It looks like you are on some sort of Linux OS, so why are you using Active-Perl?
Re: PAR::Packer Installation; Prototype mismatch; libperl.so: File format not recognized; ActivePerl-5.14.2.1402-x86_64-linux
by Khen1950fx (Canon) on Dec 03, 2011 at 13:16 UTC
    Thanks for pointing out the problem. I tried installing it with perl versions 5.8.8, 5.10.1, 5.12, 5.14.1, and also ActivePerl-5.12, and ActivePerl-5.14. Each one complained about a private /tmp/par-root; so, in order to install it, you'll need to remove /tmp/par-root first. I'm on Fedora, so I did
    mv /tmp/par-root /root/Desktop right-click "Move to Trash" Empty Trash export PERL_TEST_POD=1
    and you're good to go.

      It does not work. I deleted /tmp/par-root and set PERL_TEST_POD=1.

      ls /tmp
      PAR-Packer-1.012/ PAR-Packer-1.012.tar

      echo $PERL_TEST_POD
      1

      perl Makefile.PL
      Checking if your kit is complete...
      Looks good
      Prototype mismatch: sub main::prompt: none vs ($;$) at /opt/ActivePerl-5.14/site/lib/ExtUtils/MakeMaker.pm line 219 objdump: /opt/ActivePerl-5.14/lib/CORE/libperl.so: File format not recognized
      Writing Makefile for par
      Writing MYMETA.yml and MYMETA.json
      Writing Makefile for PAR::Packer
      Writing MYMETA.yml and MYMETA.json

      It complains "Prototype mismatch. libperl.so: File format not recognized", not "about a private /tmp/par-root". Any idea?

        run make then see what that says
Re: PAR::Packer Installation; Prototype mismatch; libperl.so: File format not recognized; ActivePerl-5.14.2.1402-x86_64-linux
by Anonymous Monk on Dec 03, 2011 at 08:27 UTC

    Can someone please help?

    All I can say (from win32 land) is don't hesitate, report upstream immediately, and try the 32big perl if that is possible

Log In?
Username:
Password:

What's my password?
Create A New User
Node Status?
node history
Node Type: perlquestion [id://941512]
Approved by Corion
help
Chatterbox?
[marto]: good morning all

How do I use this? | Other CB clients
Other Users?
Others examining the Monastery: (11)
As of 2017-11-22 10:13 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?
    In order to be able to say "I know Perl", you must have:













    Results (317 votes). Check out past polls.

    Notices?